Upstream information

CVE-2005-1689 at MITRE

Description

Double free vulnerability in the krb5_recvauth function in MIT Kerberos 5 (krb5) 1.4.1 and earlier allows remote attackers to execute arbitrary code via certain error conditions.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 86768 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE LINUX 9.3
  • krb5 >= 1.4-16.4
  • krb5-32bit >= 9.3-7.1
  • krb5-devel >= 1.4-16.4
  • krb5-devel-32bit >= 9.3-7.1
  • krb5-devel-static >= 1.4-16.4
  • krb5-devel-static-32bit >= 9.3-7.1